package scone.accesstracking;




/**
 * Diese Klasse enthält Daten über die letzte Aktion,
 * die zum Seitenwechsel führte
 */
public class IESpyLastAction {

    private int lastAction;
    private int stepsInHistory;
   
    public IESpyLastAction(int initValue) {
        this.set(initValue);
    }

    public void set(int lastAction) {
        this.lastAction = lastAction;
        this.stepsInHistory = 0;
    }
   
    public void setStepsInHistory(int stepsInHistory) {
        this.stepsInHistory = stepsInHistory;
    }
   
    public int get() {
        return lastAction;
    }
   
    public int getStepsInHistory() {
        return stepsInHistory;
    }
   
}  
